@charset "utf-8";

/* ===================================
	공통클래스
 =================================== */
body {
	background-color: #fff;
	overflow-x: hidden;
	overflow-y: scroll;
}

body * {
    user-select: none;         /* 표준 */

	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

.d-none {
	display: none !important;
}

/* 드롭다운 메뉴 스타일 */
.dropdown-content {
	display: none; /* 기본적으로 숨겨진 상태 */
	position: absolute; /* 절대 위치 */
	background-color: #f9f9f9;
	min-width: 160px;
	box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
	z-index: 90; /* 다른 요소 위에 표시되도록 z-index 높게 설정 */
	border: 1px solid #e7e7e7;
}

.dropdown-content a {
	color: black;
	padding: 12px 16px;
	text-decoration: none;
	display: block;
}

.dropdown-content a:hover {
	background-color: #f1f1f1;
}

.language_list_tit {
	word-break: break-all;
}

/* input:search의 x 버튼 초기화 */
input::-webkit-search-decoration,
input::-webkit-search-cancel-button,
input::-webkit-search-results-button,
input::-webkit-search-results-decoration{
	display:none;
}

img.to-white {
	-webkit-filter: brightness(0) invert(1); 
	filter: brightness(0) invert(1);
}

img.to-black {
	-webkit-filter: grayscale(100%) brightness(0);
	filter: grayscale(100%) brightness(0);
}

.mask {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0);
	z-index: 9999;
	opacity: .5;
	transition: 0.5s ease;
}

.loadingImg {
	position: relative;
	display: block;
	top: calc(50% - 10px);
	left: 50%;
	transform: translate(-50%, -50%);
}

.loadingTxt {
	position: relative;
	display: block;
	top: calc(50% + 10px);
	left: 50%;
	transform: translate(-50%, -50%);

	width: 70%;

	text-align: center;
	color: #fff;
	opacity: 70%;
	line-height: 1.4;
}

/* 스켈레톤 UI 컴포넌트 */
@-webkit-keyframes skeleton-gradient {
    0% {
        background-color: rgba(165, 165, 165, 0.1);
    }

    50% {
        background-color: rgba(165, 165, 165, 0.3);
    }

    100% {
        background-color: rgba(165, 165, 165, 0.1);
    }
}

@keyframes skeleton-gradient {
    0% {
        background-color: rgba(165, 165, 165, 0.1);
    }

    50% {
        background-color: rgba(165, 165, 165, 0.3);
    }

    100% {
        background-color: rgba(165, 165, 165, 0.1);
    }
}

.skeleton-list-item {
    -webkit-animation: skeleton-gradient 1.8s infinite ease-in-out;
    animation: skeleton-gradient 1.8s infinite ease-in-out;
}

/* 스위치 */

/*
<div class="wrapper">
  <input type="checkbox">
  <label for="switch" class="switch_label">
    <span class="onf_btn"></span>
  </label>
</div>
*/

/* The switch - the box around the slider */
label.switch {
	position: relative;
	display: inline-block;
	width: 50px;
	height: 24px;
}

/* Hide default HTML checkbox */
label.switch input {
	opacity: 0;
	width: 0;
	height: 0;
}

/* The slider */
label.switch .slider {
	position: absolute;
	cursor: pointer;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: #ccc;
	-webkit-transition: .4s;
	transition: .4s;
	border-radius: 34px;
}

label.switch .slider:before {
	position: absolute;
	content: "";
	height: 18px;
	width: 18px;
	left: 3px;
	bottom: 3px;
	background-color: white;
	-webkit-transition: .4s;
	transition: .4s;
	border-radius: 50%;
}

input:checked+.slider {
	background-color: #48D7C6;
}

input:focus+.slider {
	box-shadow: 0 0 1px #48D7C6;
}

input:checked+.slider:before {
	-webkit-transform: translateX(25px);
	-ms-transform: translateX(25px);
	transform: translateX(25px);
}

.mt_0 {
	margin-top: 0 !important;
}

.mt_5 {
	margin-top: 5px;
}

.mt_10 {
	margin-top: 10px;
}

.mt_15 {
	margin-top: 15px !important;
}

.mt_20 {
	margin-top: 20px !important;
}

.mt_25 {
	margin-top: 25px;
}

.mt_30 {
	margin-top: 30px !important;
}

.mb_2 {
	margin-bottom: 2px;
}

.mb_5 {
	margin-bottom: 5px;
}

.mb_10 {
	margin-bottom: 10px;
}

.mb_15 {
	margin-bottom: 15px;
}

.mb_20 {
	margin-bottom: 20px;
}

.mb_25 {
	margin-bottom: 25px;
}

.mb_30 {
	margin-bottom: 30px;
}

.ml_2 {
	margin-left: 2px;
}

.ml_5 {
	margin-left: 5px;
}

.ml_10 {
	margin-left: 10px;
}

.ml_15 {
	margin-left: 15px;
}

.ml_20 {
	margin-left: 20px;
}

.ml_25 {
	margin-left: 25px;
}

.ml_30 {
	margin-left: 30px;
}

.mr_5 {
	margin-right: 5px;
}

.mr_10 {
	margin-right: 10px;
}

.mr_15 {
	margin-right: 15px;
}

.mr_20 {
	margin-right: 20px;
}

.mr_25 {
	margin-right: 25px;
}

.mr_30 {
	margin-right: 30px;
}

.icon-5 {
	width: 5px;
	height: 5px;
	object-fit: contain;
}

.icon-10 {
	width: 10px;
	height: 10px;
	object-fit: contain;
}

.icon-12 {
	width: 12px;
	height: 12px;
	object-fit: contain;
}

.icon-14 {
	width: 14px;
	height: 14px;
	object-fit: contain;
}

.icon-16 {
	width: 16px;
	height: 16px;
	object-fit: contain;
}

.icon-20 {
	width: 20px !important;
	height: 20px !important;
	object-fit: contain;
}

.icon-24 {
	width: 24px !important;
	height: 24px !important;
	object-fit: contain;
}

.marker_inner img {
	filter: brightness(0) invert(1);
	padding: 2px;
}

.p_icon img {
	filter: brightness(0) invert(1);
}

.icon-26 {
	width: 26px;
	height: 26px;
	object-fit: contain;
}

.icon-28 {
	width: 28px;
	height: 28px;
	object-fit: contain;
}

.icon-32 {
	width: 32px;
	height: 32px;
	object-fit: contain;
}

.icon-36 {
	width: 36px;
	height: 36px;
	object-fit: contain;
}

.icon-40 {
	width: 40px;
	height: 40px;
	object-fit: contain;
}

.icon-50 {
	width: 50px;
	height: 50px;
	object-fit: contain;
}

.icon-60 {
	width: 60px;
	height: 60px;
	object-fit: contain;
}

.txt-10 {
	font-size: 10px !important;
}

.txt-12 {
	font-size: 12px !important;
}

.txt-14 {
	font-size: 14px !important;
}

.txt-16 {
	font-size: 16px !important;
}

.txt-18 {
	font-size: 18px !important;
}

.txt-20 {
	font-size: 20px !important;
}

.txt-22 {
	font-size: 22px !important;
}

.txt-24 {
	font-size: 24px !important;
}

.txt-26 {
	font-size: 26px !important;
}

.txt-28 {
	font-size: 28px !important;
}

.txt-30 {
	font-size: 30px !important;
}

.fw-n {
	font-weight: normal;
}

.fw-b {
	font-weight: bold !important;
}

.d-abjc {
	display: flex;
	align-items: end;
	justify-content: center;
}

.d-ac {
	display: flex;
	align-items: center;
}

.d-ab {
	display: flex;
	align-items: end;
}

.d-at {
	display: flex;
	align-items: start;
}

.d-atjr {
	display: flex;
	align-items: start;
	justify-content: right;
}

.d-jc {
	display: flex;
	justify-content: center;
}

.d-jsb {
	display: flex;
	justify-content: space-between;
}

.d-acjc {
	display: flex;
	align-items: center;
	justify-content: center;
}

.d-atjc {
	display: flex;
	align-items: start;
	justify-content: center;
}

.d-acjsb {
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.d-abjsb {
	display: flex;
	align-items: end;
	justify-content: space-between;
}

.d-acjr {
	display: flex;
	align-items: center;
	justify-content: right;
}

.d-atjsb {
	display: flex;
	align-items: start;
	justify-content: space-between;
}

.p-rlt {
	position: relative;
}

.p-abs {
	position: absolute;
}

.p-absc {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

.p-fix {
	position: fixed;
	bottom: 0px;
	left: 0;
}

/* PC에서 wrap 스타일 */
@media (min-width: 768px) {
    .wrap {
		padding-left: 20px;
		padding-right: 20px;
        min-height: 100dvh;
        box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    }
    
    /* group, intro_info 페이지용 */
    .wrap, .top {
        max-width: 840px;
        margin: 0 auto;
        left: 0;
        right: 0;
        transform: none;
    }
    
    /* intro 페이지용 */
    body {
        max-width: 840px;
        margin: 0 auto;
    }
    
    /* in_bottom_main 관련 템플릿들 */
    .bottom_menu {
        max-width: 840px;
        margin: 0 auto;
        left: 0;
        right: 0;
        transform: none;
    }
    
    /* PC에서만 dropdown-content max-width 적용 */
    .dropdown-content {
        max-width: 400px !important;
    }
}

@media (max-width: 767px) {
    body {
        margin: 0;
    }
}